#include <Item/StatelessItem/BasicItem/BlackHoleBattery/BlackHoleBattery.hpp>
#include <World/LocalWorld/LocalWorld.hpp>
#include <Block/Block.hpp>

BlackHoleBattery::BlackHoleBattery(std::string name) : BasicItem(name, "Black Hole Battery", Material::blackHoleBattery)
{
    setMaxStackSize(1);
}

int BlackHoleBattery::pullEnergy(ItemStack &stack, int energy)
{
    return 0;
}

int BlackHoleBattery::pushEnergy(ItemStack &stack, int energy)
{
    return energy;
}